Merchant API v1beta was discontinued and shut down on February 28, 2026. For steps to transition to the latest stable version, see
Migrate from v1beta to v1.
Method: accounts.developerRegistration.registerGcp
Stay organized with collections
Save and categorize content based on your preferences.
Registers the GCP used for the API call to the shopping account passed in the request. Will create a user with an "API developer" and add the "developerEmail" as a contact with "API notifications" email preference on.
HTTP request
POST https://merchantapi.googleapis.com/accounts/v1beta/{name=accounts/*/developerRegistration}:registerGcp
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters |
name |
string
Required. The name of the developer registration to be created for the merchant account that the GCP will be registered with. Format: accounts/{account}/developerRegistration
|
Request body
The request body contains data with the following structure:
| JSON representation |
{
"developerEmail": string
} |
| Fields |
developerEmail |
string
Immutable. Optional field. Developer role can be also added by using users.update method. If the developer email provided is associated with a user in the provided merchant account, the user will be updated to have API_DEVELOPER accessRights and the email preference corresponding to that user will be updated to have the new API notifications preference. If the developer email provided is not associated with any user, it is added as a contact. The email preference corresponding to that contact will have the new API notifications preference. Make sure the email used is associated with a Google Account and is not a service account as service accounts can't receive emails.
|
Response body
If successful, the response body contains an instance of DeveloperRegistration.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/content
For more information, see the OAuth 2.0 Overview.
Except as otherwise noted, the content of this page is licensed under the Creative Commons Attribution 4.0 License, and code samples are licensed under the Apache 2.0 License. For details, see the Google Developers Site Policies. Java is a registered trademark of Oracle and/or its affiliates.
Last updated 2026-03-17 UTC.
[null,null,["Last updated 2026-03-17 UTC."],[],[]]